aboutsummaryrefslogtreecommitdiffstats
path: root/Retesteth/parity
diff options
context:
space:
mode:
authorDimitry <dimitry@ethereum.org>2018-08-27 20:48:20 +0800
committerDimitry <dimitry@ethereum.org>2018-11-20 05:49:16 +0800
commit6096d6bf16ac548b208ec8a88baa61cd9ec83587 (patch)
tree22404569510a3bc2889ec4379775131c80ed2928 /Retesteth/parity
parent74cc22b8f06e61bd1313df35848ed8e5f774e571 (diff)
downloaddexon-tests-retestethcfg.tar
dexon-tests-retestethcfg.tar.gz
dexon-tests-retestethcfg.tar.bz2
dexon-tests-retestethcfg.tar.lz
dexon-tests-retestethcfg.tar.xz
dexon-tests-retestethcfg.tar.zst
dexon-tests-retestethcfg.zip
retesteth client configsretestethcfg
Diffstat (limited to 'Retesteth/parity')
-rw-r--r--Retesteth/parity/config5
-rwxr-xr-xRetesteth/parity/parity.sh17
2 files changed, 22 insertions, 0 deletions
diff --git a/Retesteth/parity/config b/Retesteth/parity/config
new file mode 100644
index 000000000..85bc16a9b
--- /dev/null
+++ b/Retesteth/parity/config
@@ -0,0 +1,5 @@
+{
+ "name" : "Parity Client",
+ "socketType" : "ipc",
+ "socketAddress" : "local"
+}
diff --git a/Retesteth/parity/parity.sh b/Retesteth/parity/parity.sh
new file mode 100755
index 000000000..832408801
--- /dev/null
+++ b/Retesteth/parity/parity.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+onexit()
+{
+ kill $child
+}
+trap onexit SIGTERM
+trap onexit SIGABRT
+
+##ARGUMENTS PASSED BY RETESTETH
+##
+## $1 <db-path> A path to database directory that a client should use
+## $2 <ipcpath> A path to the ipc socket file (has /geth.ipc at the end)
+#####
+
+eth --test --db-path $1 --ipcpath $2 --log-verbosity 5 &
+child=$!
+wait "$child"